package de.intevation.flys.client.client.event;

import java.io.Serializable;

import de.intevation.flys.client.shared.model.Data;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class StepForwardEvent implements Serializable {

    /** The selected data.*/
    protected Data[] data;

    /**
     * Creates a new StepForwardEvent with the Data that has been selected in
     * the UI.
     *
     * @param data The selected data.
     */
    public StepForwardEvent(Data[] data) {
        this.data = data;
    }


    /**
     * A method to retrieve the data stored in the event.
     *
     * @return the data.
     */
    public Data[] getData() {
        return data;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
